can this be used with an ipod touch 3g 8gb? If not, is there one that will?

  • Asked by Annalisa W from Seymour
  • Jun 10, 2011
HiPPiH iEagle Foldable Wireless Keyboard

HiPPiH iEagle Foldable Wireless Keyboard

Product No Longer Available

1 Answer from the Community

  • Best Answer:

    yes this one requires ios4 tho so upgrade to ios4

    • Answered by Barack O from Prairie View
    • Jun 13, 2011